Skip to main content
GET
/
api
/
v1
/
properties
/
{id}
/
units
cURL
curl --request GET \
  --url https://sandbox.api.nkama.ga/api/v1/properties/{id}/units \
  --header 'Authorization: Bearer <token>'
[
  {
    "areaSqm": 123,
    "bathrooms": 123,
    "bedrooms": 123,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "label": "<string>",
    "propertyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rentAmount": 123,
    "rentCurrency": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

areaSqm
integer<int32>
bathrooms
integer<int32>
bedrooms
integer<int32>
id
string<uuid>
label
string
propertyId
string<uuid>
rentAmount
integer<int64>
rentCurrency
string
status
enum<string>
Available options:
AVAILABLE,
OCCUPIED,
UNAVAILABLE